Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	raw image manipulation utility
Name:		ufraw
Version:	0.17
Release:	1
Provides:	%{name}
Provides:	dcraw
License:	GNU/GPL
URL:		http://ufraw.sourceforge.net/
Group:		Multimedia/Graphics
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires: gtkimageview-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: bzip2-devel
BuildRequires: cairo-devel
BuildRequires: cfitsio-devel
BuildRequires: exiv2-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gimp-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: lcms-devel
BuildRequires: lensfun-devel
BuildRequires: libgcc
BuildRequires: libgomp
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: pango-devel
BuildRequires: zlib-devel

%description
The Unidentified Flying Raw (UFRaw) is a utility to read and manipulate raw images
from digital cameras. It can be used on its own or as a Gimp plug-in.
It reads raw images using Dave Coffin's raw conversion utility - DCRaw.
UFRaw supports basic color management using Little CMS, allowing the user to
apply color profiles. For Nikon users UFRaw has the advantage that it can read the
camera's tone curves. Even if you don't own a Nikon, you can still apply
a Nikon curve to your images.

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--mandir=%_mandir \
--with-exiv2 \
--enable-extras \
--with-lensfun
make %{?_smp_mflags}

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT
mkdir -p %{buildroot}%_applications
install -m 644 ufraw.desktop %{buildroot}%{_applications}/ufraw.desktop

%files
%defattr(-,root,root)
%{_bindir}/dcraw
%{_bindir}/nikon-curve
%{_bindir}/ufraw
%{_bindir}/ufraw-batch
%{_libdir}/gimp/2.0/plug-ins/ufraw-gimp
%{_datadir}/applications/ufraw.desktop
%{_datadir}/locale/*/LC_MESSAGES/ufraw.mo
%{_datadir}/pixmaps/ufraw.png
%{_mandir}/man1/ufraw.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 25 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.17-1
* Wed Jan 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.16-1
- Version update 
* Fri Sep 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.15-2
- rebuilt against libjpeg 7
* Thu Dec 25 2008 Christian Wasem <wasem@ccux-linux.de> 0.15-1
- Version update
* Tue Dec 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.14.1-2
- rebuilt against exiv2 0.18
* Sat Nov 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.14.1-1
- version update
* Tue Sep 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.13-2
- rebuilt against exiv2 0.17.1
* Tue Jan 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.13-1
- version update
* Fri Jul 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.11-2
- rebuilt against exiv2 1.5
* Wed Mar 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.11-1
- version update
* Wed Dec 27 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.10-1
- version update
* Wed Aug 30 2006 Karsten Brockmann  <arcam@ccux-linux.de> 0.9.1-1
- version update
* Sat Aug 05 2006 Karsten Brockmann  <arcam@ccux-linux.de> 0.9-1
- version update
* Sun May 07 2006 Christian Wasem <wasem@ccux-linux.de> 0.8-2
- rebuilt without exiv2 support
* Fri May 05 2006 Christian Wasem <wasem@ccux-linux.de> 0.8-1
- Update to Version 0.8
* Wed Apr 05 2006 Christian Wasem <wasem@ccux-linux.de> 0.7-3
- rebuilt, tweaked specfile, added .desktop patch
* Sat Mar 11 2006 Karsten Brockmann  <arcam@ccux-linux.de> 0.7-2
- rebuilt against libexif 0.6.13
* Fri Mar 10 2006 Karsten Brockmann  <arcam@ccux-linux.de> 0.7-1
- Initial Release
